# Interface ASTNode

interface ASTNode {
alternate: ASTNode;
argument: ASTNode;
arguments: ASTNode[];
body: ASTNode[];
callee: ASTNode;
computed: boolean;
consequent: ASTNode;
elements: ASTNode[];
expression: ASTNode;
filter: boolean;
key: ASTNode;
kind: string;
left: ASTNode;
name: string;
object: ASTNode;
operator: string;
prefix: boolean;
properties: ASTNode[];
property: ASTNode;
right: ASTNode;
test: ASTNode;
type: number;
value: any;
}

- Defined in core/parser/ast.js:8

#####
Index

### Properties

alternate
argument
arguments
body
callee
computed
consequent
elements
expression
filter
key
kind
left
name
object
operator
prefix
properties
property
right
test
type
value

##
Properties

### alternate

alternate: ASTNode

The alternate expression of a conditional expression.

- Defined in core/parser/ast.js:21

### argument

argument: ASTNode

The argument of a unary expression.

- Defined in core/parser/ast.js:19

### arguments

arguments: ASTNode[]

The arguments of a call expression.

- Defined in core/parser/ast.js:26

### body

body: ASTNode[]

The body of a program or block statement.

- Defined in core/parser/ast.js:23

### callee

callee: ASTNode

The callee of a call expression.

- Defined in core/parser/ast.js:25

### computed

computed: boolean

Indicates if a member expression is computed.

- Defined in core/parser/ast.js:30

### consequent

consequent: ASTNode

The consequent expression of a conditional expression.

- Defined in core/parser/ast.js:22

### elements

elements: ASTNode[]

The elements of an array node.

- Defined in core/parser/ast.js:13

### expression

expression: ASTNode

The expression of an expression statement.

- Defined in core/parser/ast.js:24

### filter

filter: boolean

- Defined in core/parser/ast.js:32

### key

key: ASTNode

The key of an object property.

- Defined in core/parser/ast.js:15

### kind

kind: string

The kind of the property (e.g., 'init').

- Defined in core/parser/ast.js:11

### left

left: ASTNode

The left-hand side of a binary expression.

- Defined in core/parser/ast.js:17

### name

name: string

The name of the identifier.

- Defined in core/parser/ast.js:10

### object

object: ASTNode

The object of a member expression.

- Defined in core/parser/ast.js:28

### operator

operator: string

The operator of a binary or logical expression.

- Defined in core/parser/ast.js:31

### prefix

prefix: boolean

Indicates if a unary operator is a prefix.

- Defined in core/parser/ast.js:27

### properties

properties: ASTNode[]

The properties of an object node.

- Defined in core/parser/ast.js:14

### property

property: ASTNode

The property of a member expression.

- Defined in core/parser/ast.js:29

### right

right: ASTNode

The right-hand side of a binary expression.

- Defined in core/parser/ast.js:18

### test

test: ASTNode

The test expression of a conditional expression.

- Defined in core/parser/ast.js:20

### type

type: number

The type of the AST node.

- Defined in core/parser/ast.js:9

### value

value: any

The value of the node if it is a literal.

- Defined in core/parser/ast.js:12
- Defined in core/parser/ast.js:16